#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAB,0x1B,0x32,0x51,0x57,0x4C,0xDE,0x9D,0x39,0xBB,0x4B,0x59,
		0xD1,0xA9,0x4D,0x4B,0xD7,0xEC,0x34,0x30,0x3A,0xA5,0x2B,0x4E,
		0x47,0x7D,0xDC,0xE5,0x54,0x0D,0xDE,0x5B,0xC8,0x01,0x89,0xE5,
		0x50,0x47,0xB8,0xE3,0x1A,0xAB,0xA8,0x5D,0x6E,0xFD,0xB6,0x40,
		0xF7,0x90,0x6D,0x23,0x05,0x27,0xA3,0x2B,0x7F,0x01,0xDF,0xD2,
		0x5F,0xC3,0x15,0x5B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
